Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 609132

Summary: app-admin/logstash-bin: logstash.initd* are not POSIX compliant
Product: Gentoo Linux Reporter: Andrew Savchenko <bircoph>
Component: Current packagesAssignee: Tomáš Mózes <hydrapolic>
Status: RESOLVED FIXED    
Severity: normal CC: erkiferenc, patrick, proxy-maint
Priority: Normal Keywords: PATCH
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 609070    
Attachments: logstash.init.patch

Description Andrew Savchenko gentoo-dev 2017-02-12 16:17:15 UTC
Created attachment 463474 [details, diff]
logstash.init.patch

Hi,

init scripts should be POSIX compatible, see bug 609070.

But logstash.initd* are not: "==" is being used, can be fixed with "=".

Proposed patch fixes this. It is quite simple, so I'll apply in two weeks if there are no objections.
Comment 1 Tomáš Mózes 2017-02-13 13:06:43 UTC
Thanks, PR at:
https://github.com/gentoo/gentoo/pull/3948
Comment 2 Tomáš Mózes 2017-02-15 08:55:50 UTC
Thank you